<?php

require '../vendor/autoload.php';
require './config.php';

$albums = immichRequest("$IMMICH_URL/api/albums");

foreach($albums as $key => $value) {
    if($value['albumName'] == 'Camera') {
        unset($albums[$key]);
    }
}

$loader = new \Twig\Loader\FilesystemLoader('../templates');
$twig = new \Twig\Environment($loader);

echo $twig->render('portfolio.twig', [
    'albums_data' => $albums,
    'immich_url' => $IMMICH_URL,
    'web_url' => $WEB_URL,
    'project_title' => $PROJECT_TITLE
]);
